<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.testor.module.train.database.dao.TTrainDatabaseDao">
    <!-- 开启二级缓存 -->
    <!-- <cache type="org.mybatis.caches.ehcache.LoggingEhcache"/> -->
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.testor.module.train.database.model.domain.TTrainDatabase">
        <id column="id" property="id"/>
        <id column="parent_id" property="parentId"/>
        <id column="tenant_id" property="tenantId"/>
        <id column="process_id" property="processId"/>
        <id column="process_status" property="processStatus"/>
        <id column="data_name" property="dataName"/>
        <id column="attachment_id" property="attachmentId"/>
        <id column="stair_subject" property="stairSubject"/>
        <id column="second_subject" property="secondSubject"/>
        <id column="data_type" property="dataType"/>
        <id column="data_source" property="dataSource"/>
    </resultMap>
</mapper>